/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* System Name  : RX111 initialization example
* File Name    : r_init_port_initialize.c
* Version      : Ver 1.01
* Device       : R5F51115ADFM(RX111 Group)
* Abstract     : Example of port initialization for RX111
* Tool-Chain   : e2 studio (Version 2.2.0.11)
*              : C/C++ Compiler Package for RX Family (V2.01.00)
* OS           : not use
* H/W Platform : Renesas Starter Kit for RX111
* Description  : Initialization of ports.
* Limitation   : none
*******************************************************************************/
/*******************************************************************************
* History      : DD.MM.YYYY Version  Description
*              : 01.01.2014 1.00     First Release
*              : 02.03.2015 1.01     Version up
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "..\src\iodefine.h"
#include "r_init_port_initialize.h"

/*******************************************************************************
* Outline      : Initialization of ports
* Header       : r_init_port_initialize.h
* Function Name: R_INIT_Port_Initialize
* Description  : Initialize ports.
* Arguments    : none
* Return Value : none
*******************************************************************************/
void R_INIT_Port_Initialize(void)
{
    /* PDR - Port Direction Register
    0:Input(Function as an input pin.)
    1:Output(Function as an output pin.)*/

    /* Cast is Used so that the operation result using a define definition may become 1 byte. */
    /* ---- Set the PORT0.PDR register ---- */
    PORT0.PDR.BYTE = (unsigned char)((PORT0.PDR.BYTE & DEF_P0PDR_MASK ) | DEF_P0PDR);
    /* ---- Set the PORT1.PDR register ---- */
    PORT1.PDR.BYTE = (unsigned char)((PORT1.PDR.BYTE & DEF_P1PDR_MASK ) | DEF_P1PDR);
    /* ---- Set the PORT2.PDR register ---- */
    PORT2.PDR.BYTE = (unsigned char)((PORT2.PDR.BYTE & DEF_P2PDR_MASK ) | DEF_P2PDR);
    /* ---- Set the PORT3.PDR register ---- */
    PORT3.PDR.BYTE = (unsigned char)((PORT3.PDR.BYTE & DEF_P3PDR_MASK ) | DEF_P3PDR);
    /* ---- Set the PORT4.PDR register ---- */
    PORT4.PDR.BYTE = (unsigned char)((PORT4.PDR.BYTE & DEF_P4PDR_MASK ) | DEF_P4PDR);
    /* ---- Set the PORT5.PDR register ---- */
    PORT5.PDR.BYTE = (unsigned char)((PORT5.PDR.BYTE & DEF_P5PDR_MASK ) | DEF_P5PDR);
    /* ---- Set the PORTA.PDR register ---- */
    PORTA.PDR.BYTE = (unsigned char)((PORTA.PDR.BYTE & DEF_PAPDR_MASK ) | DEF_PAPDR);
    /* ---- Set the PORTB.PDR register ---- */
    PORTB.PDR.BYTE = (unsigned char)((PORTB.PDR.BYTE & DEF_PBPDR_MASK ) | DEF_PBPDR);
    /* ---- Set the PORTC.PDR register ---- */
    PORTC.PDR.BYTE = (unsigned char)((PORTC.PDR.BYTE & DEF_PCPDR_MASK ) | DEF_PCPDR);
    /* ---- Set the PORTE.PDR register ---- */
    PORTE.PDR.BYTE = (unsigned char)((PORTE.PDR.BYTE & DEF_PEPDR_MASK ) | DEF_PEPDR);
    /* ---- Set the PORTJ.PDR register ---- */
    PORTJ.PDR.BYTE = (unsigned char)((PORTJ.PDR.BYTE & DEF_PJPDR_MASK ) | DEF_PJPDR);

}

/* End of File */

